Summary: Carob library 
Name: carob
Version: 0.7.3
Release: 1

License: Apache License v2.0
Group: Development/Libraries
Vendor: Continuent, Inc 
Packager: Csaba Simon <csaba.simon@continuent.com>
Url: http://continuent.org/

Source: %name-%version.tar.gz

Prefix: %_prefix
BuildRoot: %_tmppath/%name-%version-root

%description
Bringing Sequoia technology to the C/C++ world.

Carob's base is a C++ port of the JDBC driver code. It offers to
developers the same access as in Java. Connections, Requests,
ResultSets and all necessary C++ classes can be used transparently
and directly in any C++ enabled application.

%package devel
Summary: Native MySQL API using Sequoia, static libraries
Group: Development/Libraries
Requires: %name = %version

%description devel
Bringing Sequoia technology to the C/C++ world.

Carob's base is a C++ port of the JDBC driver code. It offers to
developers the same access as in Java. Connections, Requests,
ResultSets and all necessary C++ classes can be used transparently
and directly in any C++ enabled application.

This package contains development files - library headers and static library

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
make CXXFLAGS="-Wall -g -O2 -DCAROB_USE_ICONV"

%install
rm -rf $RPM_BUILD_ROOT

install -D libcarob.so $RPM_BUILD_ROOT%{_libdir}/libcarob.so
install -D libcarob.so.1 $RPM_BUILD_ROOT%{_libdir}/libcarob.so.1
install -D libcarob.a $RPM_BUILD_ROOT%{_libdir}/libcarob.a

install -d $RPM_BUILD_ROOT%{_includedir}/carob
install include/*.hpp $RPM_BUILD_ROOT%{_includedir}/carob

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so*

%files devel
%defattr(-,root,root,755)
%attr(644,root,root) %{_libdir}/*.a
%attr(644,root,root) %{_includedir}/carob/*.hpp
